Read a cluster's zone move
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/zone-move"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/zone-move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/zone-move \
--header 'Authorization: Bearer <token>'{
"move": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone": "<string>",
"status": "planned",
"plan": {
"target": {
"name": "<string>",
"zone": "<string>",
"network_mode": "<string>",
"storage_tier": "<string>",
"control_plane": {
"plan": "<string>",
"count": 123
},
"bastion_plan": "<string>",
"node_groups": [
{
"name": "<string>",
"plan": "<string>",
"count": 123
}
],
"existing_cluster_id": "<string>"
},
"stacks": [
{
"name": "<string>",
"carried": true,
"reason": "<string>",
"namespaces": [
"<string>"
],
"seeded": true,
"stopped_with_source": true,
"vault": {
"id": "<string>",
"name": "<string>",
"basis": "request"
}
}
],
"data": [
{
"stack": "<string>",
"namespace": "<string>",
"name": "<string>",
"kind": "<string>",
"engine": "<string>",
"requested_bytes": 123,
"storage_class": "<string>",
"target_storage_class": "<string>"
}
],
"not_carried": [
{
"what": "<string>",
"reason": "<string>"
}
],
"dns": [
{
"hostname": "<string>",
"mechanism": "<string>",
"source_origin": "<string>",
"target_origin": "<string>"
}
],
"storage_class_mapping": {},
"load_balancers": [
{
"service": {
"namespace": "<string>",
"name": "<string>"
},
"source_load_balancer_id": "<string>",
"target_load_balancer_id": "<string>"
}
],
"warnings": [
"<string>"
]
},
"steps": [
{
"name": "<string>",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"message": "<string>"
}
],
"soak_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_excerpt": "<string>"
}
}Ankra Cloud Clusters
Read a cluster's zone move
Answers the source cluster’s newest zone move: its plan, status and every step it has taken. Requires stacks.read on the source.
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
zone-move
Read a cluster's zone move
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/zone-move"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/zone-move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/zone-move \
--header 'Authorization: Bearer <token>'{
"move": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone": "<string>",
"status": "planned",
"plan": {
"target": {
"name": "<string>",
"zone": "<string>",
"network_mode": "<string>",
"storage_tier": "<string>",
"control_plane": {
"plan": "<string>",
"count": 123
},
"bastion_plan": "<string>",
"node_groups": [
{
"name": "<string>",
"plan": "<string>",
"count": 123
}
],
"existing_cluster_id": "<string>"
},
"stacks": [
{
"name": "<string>",
"carried": true,
"reason": "<string>",
"namespaces": [
"<string>"
],
"seeded": true,
"stopped_with_source": true,
"vault": {
"id": "<string>",
"name": "<string>",
"basis": "request"
}
}
],
"data": [
{
"stack": "<string>",
"namespace": "<string>",
"name": "<string>",
"kind": "<string>",
"engine": "<string>",
"requested_bytes": 123,
"storage_class": "<string>",
"target_storage_class": "<string>"
}
],
"not_carried": [
{
"what": "<string>",
"reason": "<string>"
}
],
"dns": [
{
"hostname": "<string>",
"mechanism": "<string>",
"source_origin": "<string>",
"target_origin": "<string>"
}
],
"storage_class_mapping": {},
"load_balancers": [
{
"service": {
"namespace": "<string>",
"name": "<string>"
},
"source_load_balancer_id": "<string>",
"target_load_balancer_id": "<string>"
}
],
"warnings": [
"<string>"
]
},
"steps": [
{
"name": "<string>",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"message": "<string>"
}
],
"soak_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_excerpt": "<string>"
}
}